typedef struct ViCToR 
{
	float x;
	float y;
	float z;
	float t;
} ViCToR;


ViCToR * ViCToR_create(ViCToR * ViCToR_a);
ViCToR * ViCToR_delete(ViCToR * ViCToR_a);
ViCToR * ViCToR_set(ViCToR * ViCToR_a, float ViCToR_x, float ViCToR_y);
ViCToR * ViCToR_cpy(ViCToR * ViCToR_a, ViCToR * ViCToR_b);
ViCToR * ViCToR_sub(ViCToR * ViCToR_a, ViCToR * ViCToR_b, ViCToR * ViCToR_c);
ViCToR * ViCToR_add(ViCToR * ViCToR_a, ViCToR * ViCToR_b, ViCToR * ViCToR_c);
ViCToR * ViCToR_mul(ViCToR * ViCToR_a, ViCToR * ViCToR_b, ViCToR * ViCToR_c);
ViCToR * ViCToR_div(ViCToR * ViCToR_a, ViCToR * ViCToR_b, ViCToR * ViCToR_c);
ViCToR * ViCToR_neg(ViCToR * ViCToR_a, ViCToR * ViCToR_c);

ViCToR * ViCToR_sqr(ViCToR * ViCToR_a, ViCToR * ViCToR_c);
ViCToR * ViCToR_delta(ViCToR * ViCToR_a, ViCToR * ViCToR_b, ViCToR * ViCToR_c);
ViCToR * ViCToR_dist(ViCToR * ViCToR_a, ViCToR * ViCToR_b, ViCToR * ViCToR_c);
ViCToR * ViCToR_hypothenuse(ViCToR * ViCToR_a, ViCToR * ViCToR_c);
ViCToR * ViCToR_trigo(ViCToR * ViCToR_a, ViCToR * ViCToR_c);
